dpkg-checkbuilddeps(1)

BEZEICHNUNG
dpkg-checkbuilddeps - überprüfe Bauabhängigkeiten und -konflikte

ÜBERSICHT
dpkg-checkbuilddeps [Option …] [Befehlsdatei]

BESCHREIBUNG
Dieses Programm überprüft die im System installierten Pakete gegen die Bauabhängigkeiten und Baukonflikte, die in der control-Datei aufgeführt sind. Falls welche davon nicht erfüllt sind, zeigt es diese an und beendet sich mit einem von Null verschiedenen Rückgabewert.

Standardmäßig wird debian/control gelesen, aber ein alternativer control-Dateiname kann auf der Befehlszeile angegeben werden.

OPTIONEN

--admindir=Verz
    Ändert den Ablageort der dpkg-Datenbank (seit Dpkg 1.14.0). Der Standardort ist %ADMINDIR%.

-A  Ignoriere Build-Depends-Indep und Build-Conflicts-Arch-Zeilen (seit Dpkg 1.16.4). Verwenden Sie dies, wenn nur arch-indep-Pakete gebaut werden oder kombinieren Sie es mit -B, wenn nur ein Quellpaket gebaut werden soll.

-B  Ignoriere Build-Depends-Indep und Build-Conflicts-Indep-Zeilen. Verwenden Sie dies, wenn nur arch-dep-Pakete gebaut werden oder kombinieren Sie es mit -A, wenn nur ein Quellpaket gebaut werden soll.

-I  Ignoriert eingebaute Bauabhängigkeiten und -konflikte (seit Dpkg 1.18.2). Dies sind implizite Abhängigkeiten, die normalerweise in einer bestimmten Distribution benötigt werden, die sogenannte »Build-Essential«-Paketgruppe.

-d Zeichenkette-für-Bauabhängigkeiten

-c Zeichenkette-für-Baukonflikte
    Verwende die angegebenen Bauabhängigkeiten/-konflikte statt denen der Datei debian/control (seit Dpkg 1.14.17).

-a Architektur
    Überprüfe Bauabhängigkeiten/-konflikte unter der Annahme, dass das Paket in der Datei »control« für die angegebene Host-Architektur statt für die Architektur des aktuellen Systems gebaut werden soll (seit Dpkg 1.16.2).

-P Profil[,…]
    Überprüfe Bauabhängigkeiten/-konflikte unter der Annahme, dass das Paket in der Datei »control« für das/die angegebene(n) Bauprofile gebaut werden soll (seit Dpkg 1.17.2). Das Argument ist eine Kommata-getrennte Liste von Profilnamen.

-?, --help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

UMGEBUNG

DEB_BUILD_PROFILES
    Falls gesetzt, wird sie als aktive(s) Bau-Profil(e) für das zu bauende Paket verwandt. Es ist eine durch Leerzeichen getrennte Liste von Profilnamen. Wird durch die Option -P außer Kraft gesetzt.

DPKG_COLORS
    Setzt den Farbmodus (seit Dpkg 1.18.5). Die derzeit unterstützten Werte sind: auto (Vorgabe), always und never.

DPKG_NLS
    Falls dies gesetzt ist, wird es zur Entscheidung, ob Native Language Support, auch als Internationalisierung (oder i18n) Unterstützung bekannt, aktiviert wird (seit Dpkg 1.19.0). Die akzeptierten Werte sind: 0 und 1 (Vorgabe).

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2019 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.